/* Global styles for centering elements */
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100vh;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    padding-top: 40px;
    /* Pour remonter un peu les boutons */
    background-color: #00416A;
}

div, p {
    color: white;
}

.boutons {
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
    /* Plus d'espace entre les boutons et l'image */
}

.boutons button {
    margin: 0 15px;
    padding: 10px 20px;
    font-size: 16px;
    background-color: #002244;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.boutons button:hover {
    background-color: black;
}

/* Space for the image with a placeholder */
.infosJeu {
    text-align: center;
    margin-bottom: 30px;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
}

.infosJeu img {
    width: 300px;
    /* Largeur de l'image */
    height: 200px;
    /* Hauteur de l'image */
    background-color: #e0e0e0;
    /* Couleur de fond pour indiquer l'emplacement de l'image */
    display: block;
    margin: 0 auto 10px auto;
    /* Centrer l'image */
    border: 2px dashed #ccc;
    /* Bordure pour l'indicatif visuel */
    border-radius: 10px;
}

#nomJeu,
#categorieJeu {
    margin: 10px 0;
    font-size: 18px;
}

#lienJeu {
    color: red;
}

/* Specific styles for mobile devices */
@media only screen and (max-width: 768px) {

    #gyroscope,
    #stockerJeu,
    #listeJeux {
        display: block;
    }

    #lienJeu, #genererJeu{
        display: none;
    }
}

/* Specific styles for desktop devices */
@media only screen and (min-width: 769px) {

    #gyroscope,
    #stockerJeu,
    #listeJeux {
        display: none;
    }

    #lienJeu, #genererJeu {
        display: block;
    }
}

/* Align the list to the left */
#listeJeux {
    border: 2px solid black;
    margin-top: 20px;
    width: 90%;
    /* Légèrement réduire la largeur pour éviter le bord de l'écran */
    text-align: left;
    padding-left: 20px;
    /* Pour un peu de padding à gauche */
    font-size: 16px;
}